<?php
defined('BASEPATH') OR exit('id direct script access allowed');

class Admin extends CI_Controller {
	function __construct(){
		parent::__construct();
		// cek login
		if($this->session->userdata('status') != "login"){
			$alert=$this->session->set_flashdata('alert', 'Anda belum Login');
			redirect(base_url());
		}
	}

	function index(){
		$this->load->view('admin/header');
		$this->load->view('admin/index');
		$this->load->view('admin/footer');
	}

	function logout(){
		$this->session->sess_destroy();
		redirect(base_url().'login/?alert=logout');
	}

	function ganti_password(){
		$this->load->view('admin/header');
		$this->load->view('admin/ganti_password');
		$this->load->view('admin/footer');
	}

	function ganti_password_aksi(){
		$baru = $this->input->post('password_baru');
		$ulang = $this->input->post('password_ulang');

		$this->form_validation->set_rules('password_baru','Password Baru','required|matches[password_ulang]');
		$this->form_validation->set_rules('password_ulang','Ulangi Password','required');

		if($this->form_validation->run()!=false){
			$id = $this->session->userdata('id');

			$where = array('id' => $id);

			$data = array('password' => md5($baru));

			$this->m_data->update_data($where,$data,'admin');

			redirect(base_url().'admin/ganti_password/?alert=sukses');

		}else{
			$this->load->view('admin/header');
			$this->load->view('admin/ganti_password');
			$this->load->view('admin/footer');
		}

	}


	// CRUD petugas
	function petugas(){
		// mengambil data dari database
		$data['petugas'] = $this->m_data->get_data('petugas')->result();
		$this->load->view('admin/header');
		$this->load->view('admin/petugas',$data);
		$this->load->view('admin/footer');
	}

	function petugas_tambah(){
		$this->load->view('admin/header');
		$this->load->view('admin/petugas_tambah');
		$this->load->view('admin/footer');
	}

	function petugas_tambah_aksi(){
		$nama = $this->input->post('nama');
		$username = $this->input->post('username');
		$password = $this->input->post('password');

		$data = array(
			'nama' => $nama,
			'username' => $username,
			'password' => md5($password)
		);

		// insert data ke database
		$this->m_data->insert_data($data,'petugas');

		// mengalihkan halaman ke halaman data petugas
		redirect(base_url().'admin/petugas');
	}

	function petugas_edit($id){
		$where = array('id' => $id);
		// mengambil data dari database sesuai id
		$data['petugas'] = $this->m_data->edit_data($where,'petugas')->result();
		$this->load->view('admin/header');
		$this->load->view('admin/petugas_edit',$data);
		$this->load->view('admin/footer');
	}

	function petugas_update(){
		$id = $this->input->post('id');
		$nama = $this->input->post('nama');
		$username = $this->input->post('username');
		$password = $this->input->post('password');

		$where = array(
			'id' => $id
		);

		// cek apakah form password di isi atau tidak
		if($password==""){
			$data = array(
				'nama' => $nama,
				'username' => $username
			);

			// update data ke database
			$this->m_data->update_data($where,$data,'petugas');
		}else{
			$data = array(
				'nama' => $nama,
				'username' => $username,
				'password' => md5($password)
			);

			// update data ke database
			$this->m_data->update_data($where,$data,'petugas');
		}

		// mengalihkan halaman ke halaman data petugas
		redirect(base_url().'admin/petugas');
	}


	function petugas_hapus($id){
		$where = array(
			'id' => $id
		);

		// menghapus data petugas dari database sesuai id
		$this->m_data->delete_data($where,'petugas');

		// mengalihkan halaman ke halaman data petugas
		redirect(base_url().'admin/petugas');
	}
	// akhir CRUD petugas

	// anggota
	function customer(){
		// mengambil data dari database
		$data['customer'] = $this->m_data->get_data('customer')->result();
		$this->load->view('admin/header');
		$this->load->view('admin/customer',$data);
		$this->load->view('admin/footer');
	}

	function customer_kartu($id){
		$where = array('id' => $id);
		// mengambil data dari database sesuai id
		$data['customer'] = $this->m_data->edit_data($where,'customer')->result();
		$this->load->view('admin/customer_kartu',$data);
	}
	// akhir anggota

	// buku
	function mobil(){
		// mengambil data dari database
		$data['mobil'] = $this->m_data->get_data('mobil')->result();
		$this->load->view('admin/header');
		$this->load->view('admin/mobil',$data);
		$this->load->view('admin/footer');
	}
	// akhir buku

	// peminjaman
	function peminjaman_laporan(){
		
			// mengambil data peminjaman buku dari database | dan mengurutkan data dari id peminjaman terbesar ke terkecil (desc)
			$data['peminjaman'] = $this->db->query("select * from peminjaman,mobil,customer where peminjaman.peminjaman_mobil=mobil.id and peminjaman.peminjaman_customer=customer.id order by peminjaman_no desc")->result();	
		
		$this->load->view('admin/header');
		$this->load->view('admin/peminjaman_laporan',$data);
		$this->load->view('admin/footer');
	}

	
}
