<?php
defined('BASEPATH') OR exit('id direct script access allowed');

class customer extends CI_Controller {
	function __construct(){
		parent::__construct();

		// cek session yang login, jika session status tidak sama dengan session petugas_login,maka halaman akan di alihkan kembali ke halaman login.
		if($this->session->userdata('status') != "login"){
			$alert=$this->session->set_flashdata('alert', 'Anda belum Login');
			redirect(base_url());
		}
	}

	function index() {

		$data ['customer'] = $this->m_data->get_data('customer')->result();
		//copy kalo mau bypass ke login.php
		$data['mobil'] = $this->m_data->get_data('mobil')->result();
		$data ['header'] = 'Katalog mobil';
		$this->load->view('customer/daftarmobil', $data);
	}

	function customer_tambah(){
		$this->load->view('petugas/header');
		$this->load->view('petugas/customer_tambah');
		$this->load->view('petugas/footer');
	}

	function customer_tambah_aksi(){
		$nama_lengkap = $this->input->post('nama_lengkap');
		$jenis_kelamin = $this->input->post('jenis_kelamin');
		$no_ktp = $this->input->post('no_ktp');
		$pekerjaan = $this->input->post('pekerjaan');
		$alamat = $this->input->post('alamat');
		$no_tlp = $this->input->post('no_tlp');

		$data = array(
			'nama_lengkap' => $nama_lengkap,
			'jenis_kelamin' => $jenis_kelamin,
			'no_ktp' => $no_ktp,
			'pekerjaan' => $pekerjaan,
			'alamat' => $alamat,
			'no_tlp' => $no_tlp
		);

		// insert data ke database
		$this->m_data->insert_data($data,'customer');

		// mengalihkan halaman ke halaman data anggota
		redirect(base_url().'petugas/customer');
	}

	function customer_edit($id){
		$where = array('id' => $id);
		// mengambil data dari database sesuai id
		$data['customer'] = $this->m_data->edit_data($where,'customer')->result();
		$this->load->view('petugas/header');
		$this->load->view('petugas/customer_edit',$data);
		$this->load->view('petugas/footer');
	}

	function customer_update(){
		$id = $this->input->post('id');
		$nama_lengkap = $this->input->post('nama_lengkap');
		$no_tlp = $this->input->post('no_telp');
		$alamat = $this->input->post('alamat');

		$where = array(
			'id' => $id
		);

		$data = array(
			'nama_lengkap' => $nama_lengkap,
			'no_tlp' => $no_tlp,
			'alamat' => $alamat
		);

		// update data ke database
		$this->m_data->update_data($where,$data,'customer');

		// mengalihkan halaman ke halaman data anggota
		redirect(base_url().'petugas/customer');
	}


	function customer_hapus($id){
		$where = array(
			'id' => $id
		);

		// menghapus data anggota dari database sesuai id
		$this->m_data->delete_data($where,'customer');

		// mengalihkan halaman ke halaman data anggota
		redirect(base_url().'petugas/customer');
	}

	function logout(){
		$this->session->sess_destroy();
		redirect(base_url().'login/?alert=logout');
	}
}