<?php
defined('BASEPATH') OR exit('id direct script access allowed');

class mobil extends CI_Controller {

	function __construct(){
		parent::__construct();

		if($this->session->userdata('status') != "login"){
			$alert=$this->session->set_flashdata('alert','Anda Belum Login');
			redirect(base_url());
		}
	}

	function mobil_tambah(){
		$this->load->view('petugas/header');
		$this->load->view('petugas/mobil_tambah');
		$this->load->view('petugas/footer');
	}

	function mobil_tambah_aksi(){
		$id = $this->input->post('id');
		$merk = $this->input->post('merk');
		$plat_mobil = $this->input->post('plat_mobil');
		$harga_sewa = $this->input->post('harga_sewa');
		$thn_keluaran = $this->input->post('thn_keluaran');
		$no_mesin = $this->input->post('no_mesin');
		$no_rangka = $this->input->post('no_rangka');
		$status = $this->input->post('status');

		$data = array(
			'merk' => $merk,
			'plat_mobil' => $plat_mobil,
			'harga_sewa' => $harga_sewa,
			'thn_keluaran' => $thn_keluaran,
			'no_mesin' => $no_mesin,
			'no_rangka' => $no_rangka,
			'status' => 1
		);

		// insert data ke database
		$this->m_data->insert_data($data,'mobil');

		// mengalihkan halaman ke halaman data buku
		redirect(base_url().'petugas/mobil');
	}

	function mobil_edit($id){
		$where = array('id' => $id);
		// mengambil data dari database sesuai id
		$data['mobil'] = $this->m_data->edit_data($where,'mobil')->result();
		$this->load->view('petugas/header');
		$this->load->view('petugas/mobil_edit',$data);
		$this->load->view('petugas/footer');
	}

	function mobil_update(){
		$id = $this->input->post('id');
		$merk =  $this->input->post('merk');
		$plat_mobil =  $this->input->post('plat_mobil');
		$harga_sewa =  $this->input->post('harga_sewa');
		$thn_keluaran = $this->input->post('thn_keluaran');
		$no_mesin = $this->input->post('no_mesin');
		$no_rangka = $this->input->post('no_rangka');
		$status = $this->input->post('status');
		$this->form_validation->set_rules('merk','Merk','required');
		$this->form_validation->set_rules('plat_mobil','plat_mobil','required|min_length[4]');
		$this->form_validation->set_rules('harga_sewa','harga_sewa','required|min_length[4]');
		$this->form_validation->set_rules('thn_keluaran','thn_keluaran','required|min_length[4]');
		$this->form_validation->set_rules('no_mesin','no_mesin','required|min_length[4]');
		$this->form_validation->set_rules('no_rangka','no_rangka','required|min_length[4]');
		$this->form_validation->set_rules('status','Status','required|min_length[4]');
	
		$config['upload_path'] = './assets/images/';
		$config['allowed_types'] = 'jpg|png|jpeg';
		$config['max_size'] = '2048';
		$config['file_name'] = 'gambar'.time();	

		$this->load->library('upload', $config);

		$where = array('id' => $id);
		$data = array(
			'merk' =>$merk,
			'plat_mobil' => $plat_mobil,
			'harga_sewa' => $harga_sewa,
			'thn_keluaran' => $thn_keluaran,
			'no_mesin' => $no_mesin,
			'no_rangka' => $no_rangka,
			'gambar' => $image['file_name'],
			'status' => $status
		);

				if($this->upload->do_upload('foto')){
				$image=$this->upload->data();
				unlink('assets/images/'.$this->input->post('old_pict', TRUE));
				$data['gambar'] = $image['file_name'];
			}
		$this->m_data->update_data($where, $data,'mobil');
		redirect(base_url().'petugas/mobil');
		}

	function mobil_hapus($id){
		$where = array(
			'id' => $id
		);

		// menghapus data buku dari database sesuai id
		$this->m_data->delete_data($where,'mobil');

		// mengalihkan halaman ke halaman data buku
		redirect(base_url().'petugas/mobil');	
	}

	public function katalog_detail(){
		 $id = $this->uri->segment(3);
		 $mobil = $this->db->query("select * from mobil B where B.merk= B.id='$id'")->result();
		 
		 foreach ($mobil as $fields) {
		 $data['merk'] = $fields->merk;
		 $data['plat_mobil'] = $fields->plat_mobil;
		 $data['harga_sewa'] = $fields->harga_sewa;
		 $data['thn_keluaran'] = $fields->thn_keluaran;
		 $data['gambar'] = $fields->gambar;
		 $data['id'] = $id;
		 }
		 
		 $this->load->view('customer/desain');
		 $this->load->view('customer/toplayout');
		 $this->load->view('customer/detail_mobil', $data);
	}
}