<?php
defined('BASEPATH') OR exit('id direct script access allowed');

class Petugas extends CI_Controller {

	function __construct(){
		parent::__construct();

		// cek session yang login, jika session status tidak sama dengan session petugas_login,maka halaman akan di alihkan kembali ke halaman login.
		if($this->session->userdata('status') != "login"){
			$alert=$this->session->set_flashdata('alert', 'Anda belum Login');
			redirect(base_url());
		}
	}

	function index(){
		$this->load->view('petugas/header');
		$this->load->view('petugas/index');
		$this->load->view('petugas/footer');
	}

	function logout(){
		$this->session->sess_destroy();
		redirect(base_url().'');
	}

	function ganti_password(){
		$this->load->view('petugas/header');
		$this->load->view('petugas/ganti_password');
		$this->load->view('petugas/footer');
	}

	function ganti_password_aksi(){
		$baru = $this->input->post('password_baru');
		$ulang = $this->input->post('password_ulang');

		$this->form_validation->set_rules('password_baru','Password Baru','required|matches[password_ulang]');
		$this->form_validation->set_rules('password_ulang','Ulangi Password','required');

		if($this->form_validation->run()!=false){
			$id = $this->session->userdata('id');

			$where = array('id' => $id);

			$data = array('password' => md5($baru));

			$this->m_data->update_data($where,$data,'petugas');

			redirect(base_url().'petugas/ganti_password/?alert=sukses');
		}else{
			$this->load->view('petugas/header');
			$this->load->view('petugas/ganti_password');
			$this->load->view('petugas/footer');
		}
	}

	function mobil(){
		// mengambil data dari database
		$data['mobil'] = $this->m_data->get_data('mobil')->result();
		$this->load->view('petugas/header');
		$this->load->view('petugas/mobil',$data);
		$this->load->view('petugas/footer');
	}

	function customer(){
		// mengambil data dari database
		$data['customer'] = $this->m_data->get_data('customer')->result();
		$this->load->view('petugas/header');
		$this->load->view('petugas/customer',$data);
		$this->load->view('petugas/footer');
	}

	// proses transaksi_peminjaman
	function peminjaman(){
		// mengambil data peminjaman buku dari database | dan mengurutkan data dari id peminjaman terbesar ke terkecil (desc)
		$data['peminjaman'] = $this->db->query("select * from peminjaman,mobil,customer where peminjaman.peminjaman_mobil=mobil.id and peminjaman.peminjaman_customer=customer.id order by peminjaman_no desc")->result();
		$this->load->view('petugas/header');
		$this->load->view('petugas/peminjaman',$data);
		$this->load->view('petugas/footer');
	}

	function peminjaman_tambah(){
		// mengambil data buku yang berstatus 1 (tersedia) dari database
		$where = array('status'=>1);
		$data['mobil'] = $this->m_data->edit_data($where,'mobil')->result();
		// mengambil data anggota dari database
		$data['customer'] = $this->m_data->get_data('customer')->result();
		$this->load->view('petugas/header');
		$this->load->view('petugas/peminjaman_tambah',$data);
		$this->load->view('petugas/footer');
	}

	function peminjaman_aksi(){
		$customer = $this->input->post('customer');
		$mobil = $this->input->post('mobil');
		$tgl_sekarang = $this->input->post('tgl_sekarang');
		$waktu_sewa = $this->input->post('waktu_sewa');
		$hari = $this->input->post('hari');
		$total = $this->input->post('total');

		$data = array(
			'peminjaman_customer' => $customer,
			'peminjaman_mobil' => $mobil,
			'tgl_sekarang' => $tgl_sekarang,
			'waktu_sewa' => $waktu_sewa,
			'hari' => $hari,
			'total' => $hari*$harga_sewa=$total,
			'peminjaman_status' => 2
		);

		// insert data ke database
		$this->m_data->insert_data($data,'peminjaman');


		// mengubah status mobil menjadi di pinjam (2)
		$w = array(
			'id' => $mobil
		);
		$d = array(
			'status' => 2
		);
		$this->m_data->update_data($w,$d,'mobil');

		// mengalihkan halaman ke halaman data peminjaman
		redirect(base_url().'petugas/peminjaman');
	}

	function peminjaman_batalkan($id){
		$where = array(
			'peminjaman_no' => $id
		);

		// mengambil data buku pada peminjaman ber id tersebut
		$data = $this->m_data->edit_data($where,'peminjaman')->row();
		$mobil = $data->peminjaman_mobil;

		// mengembalikan status buku kembali ke tersedia (1)
		$w = array(
			'id' => $mobil
		);
		$d = array(
			'status' => 1
		);
		$this->m_data->update_data($w,$d,'mobil');

		// menghapus data peminjaman dari database sesuai id
		$this->m_data->delete_data($where,'peminjaman');

		// mengalihkan halaman ke halaman data buku
		redirect(base_url().'petugas/peminjaman');
	}

	function peminjaman_selesai($id){
		$where = array(
			'peminjaman_no' => $id
		);

		// mengambil data buku pada peminjaman ber id tersebut
		$data = $this->m_data->edit_data($where,'peminjaman')->row();
		$mobil = $data->peminjaman_mobil;

		// mengembalikan status buku kembali ke tersedia (1)
		$w = array(
			'id' => $mobil
		);
		$d = array(
			'status' => 1
		);
		$this->m_data->update_data($w,$d,'mobil');

		// mengubah status peminjaman menjadi selesai (1)
		$this->m_data->update_data($where,array('peminjaman_status'=>1),'peminjaman');


		// mengalihkan halaman ke halaman data buku
		redirect(base_url().'petugas/peminjaman');
	}

	function peminjaman_laporan(){
		if(isset($_GET['tgl_sekarang']) && isset($_GET['waktu_sewa'])){
			$tgl_sekarang = $this->input->get('tgl_sekarang');
			$waktu_sewa = $this->input->get('waktu_sewa');
			// mengambil data peminjaman berdasarkan tanggal mulai sampai tanggal sampai
			$data['peminjaman'] = $this->db->query("select * from peminjaman,mobil,customer where peminjaman.peminjaman_mobil=mobil.id and peminjaman.peminjaman_customer=customer.id and date(tgl_sekarang) >= '$tgl_sekarang' and date(waktu_sewa) <= '$waktu_sewa' order by peminjaman_no desc")->result();	
		}else{
			// mengambil data peminjaman buku dari database | dan mengurutkan data dari id peminjaman terbesar ke terkecil (desc)
			$data['peminjaman'] = $this->db->query("select * from peminjaman,mobil,customer where peminjaman.peminjaman_mobil=mobil.id and peminjaman.peminjaman_customer=customer.id order by peminjaman_no desc")->result();	
		}
		$this->load->view('petugas/header');
		$this->load->view('petugas/peminjaman_laporan',$data);
		$this->load->view('petugas/footer');
	}

}
