<?php
defined('BASEPATH') or exit('NO Direct Script Access Allowed');

class Transaksi extends CI_Controller{
	function __construct(){
		parent::__construct();
		// cek login
		if ($this->session->userdata('status') != "login") {
			$alert=$this->session->set_flashdata('alert', 'Anda belum Login');
		}
	}

	function peminjaman(){
		$data['peminjaman'] = $this->db->query("select * FROM transaksi T, buku B, anggota A WHERE T.id_buku=B.id_buku and T.id_anggota=A.id_anggota")->result();

		$this->load->view('admin/header');
		$this->load->view('admin/peminjaman',$data);
		$this->load->view('admin/footer');
	}
	function tambah_peminjaman(){
		$w = array('status' =>'1');
		$data['buku'] = $this->m_data->edit_data($w,'mobil')->result();
		$data['anggota'] = $this->m_data->get_data('customer')->result();
		$data['peminjaman'] = $this->m_data->get_data('peminjaman')->result();

		$this->load->view('petugas/header');
		$this->load->view('petugas/tambah_peminjaman',$data);
		$this->load->view('petugas/footer');

	}

	function tambah_peminjaman_act(){

		$tanggal_pencatatan = date('Y-m-d H:i:s');
		$anggota =  $this->input->post('anggota');
		$buku =  $this->input->post('buku');
		$tgl_pinjam =  $this->input->post('tgl_pinjam');
		$tgl_kembali = $this->input->post('tgl_kembali');
		$denda = $this->input->post('denda');
		$this->form_validation->set_rules('anggota','Anggota','required');
		$this->form_validation->set_rules('buku','Buku','required');
		$this->form_validation->set_rules('tgl_pinjam','Tanggal Pinjam','required');
		$this->form_validation->set_rules('tgl_kembali','Tanggal Kembali','required');
		$this->form_validation->set_rules('denda','Denda','required');

		if ($this->form_validation->run() != false) {
			$data = array(
				'tgl_pencatatan' => $tanggal_pencatatan,
				'id_anggota' => $anggota,
				'id_buku' => $buku,
				'tgl_pinjam' => $tgl_pinjam,
				'tgl_kembali' => $tgl_kembali,
				'denda' => $denda,
				'tgl_pengembalian' => '000-00-00',
				'total_denda' => '0',
				'status_pengembalian' => '0',
				'status_peminjaman' => '0'
			);

			$this->m_perpus->insert_data($data,'transaksi');

			// update status buku yg di pinjem
			$d = array('status_buku' => '0', 'tgl_input' => substr($tanggal_pencatatan,0, 10));
			$w = array('id_buku' => $buku);
			$this->m_perpus->update_data($w,$d,'buku');

			redirect(base_url().'transaksi/peminjaman');
		}else{
			$w = array('status_buku'=>'1');
			$data['buku'] = $this->m_perpus->edit_data($w,'buku')->result();
			$data['anggota'] = $this->m_perpus->get_data($w,'anggota')->result();

			$this->load->view('admin/header');
			$this->load->view('admin/tambah_peminjaman',$data);
			$this->load->view('admin/footer');
		}
	}

	function checkout($id){
		$w = $this->input->post('id_anggota');
		$data['buku'] = $this->m_perpus->get_data('buku')->result();
		$data['anggota'] = $this->m_perpus->edit_data($w,'anggota')->result();
		$data['peminjaman'] = $this->db->query("select * from transaksi t, anggota a, buku b where t.id_buku = b.id_buku and t.id_anggota=a.id_anggota and t.id_pinjam='$id'")->result();

		$this->load->view('admin/header');
		$this->load->view('admin/checkout',$data);
		$this->load->view('admin/footer');
	}

	function hapus_peminjaman($id){
		$w = array('id_pinjam' => $id);
		$data = $this->m_perpus->edit_data($w,'transaksi')->row();
		// $data = $this->m_perpus->edit_data($w,'peminjaman')->row();
		$ww = array('id_buku' => $data->id_buku);
		$data = array('status_buku' => '1');
		$this->m_perpus->update_data($ww,$data,'buku');
		$this->m_perpus->delete_data($w, 'transaksi');
		redirect(base_url().'transaksi/peminjaman');
	}

	function transaksi_selesai($id){
		$data['buku'] = $this->m_perpus->get_data('buku')->result();
		$data['anggota'] = $this->m_perpus->get_data('anggota')->result();
		$data['peminjaman'] = $this->db->query("select * from transaksi t, anggota a, buku b where t.id_buku 
			= b.id_buku and t.id_anggota=a.id_anggota and t.id_pinjam='$id'")->result();

		$this->load->view('admin/header');
		$this->load->view('admin/transaksi_selesai',$data);
		$this->load->view('admin/footer');
	}

	function transaksi_selesai_act(){

		$id =  $this->input->post('id');
		$tgl_dikembalikan =  $this->input->post('tgl_dikembalikan');
		$tgl_kembali =  $this->input->post('tgl_kembali');
		$buku =  $this->input->post('buku');
		$denda = $this->input->post('denda');
		$this->form_validation->set_rules('tgl_dikembalikan','tanggal Di Kembalikan','required');
		if ($this->form_validation->run() !=false) {
		// menghitung selisih hari
			$batas_kembali = strtotime($tgl_kembali);
			$dikembalikan = strtotime($tgl_dikembalikan);
			$selisih = abs(($batas_kembali - $dikembalikan)/(60*60*24));
			$total_denda = $denda*$selisih;
			// update status peminjaman
			$data = array('status_peminjaman' =>'1','total_denda'=>$total_denda,'tgl_pengembalian' =>$tgl_dikembalikan,'status_pengembalian' =>'1');
			// $data3 = array();
			$w = array('id_pinjam' =>$id);
			$this->m_perpus->update_data($w,$data,'transaksi');
			// $this->m_perpus->update_data($w,$data3,'detail_pinjam');
			// update status buku
			$data2 = array('status_buku' =>'1');
			$w2 = array('id_buku' => $buku);
			$this->m_perpus->update_data($w2,$data2,'buku');
			redirect(base_url().'transaksi/peminjaman');
		}else{
			$data['buku'] = $this->m_perpus->get_data('buku')->result();
			$data['anggota'] = $this->m_perpus->get_data('anggota')->result();
			$data['peminjaman'] = $this->db->query("select * from peminjaman p, anggota a, detail_pinjam d,b.id_buku and p.id_pinjam='$id'")->result();

		$this->load->view('admin/header');
		$this->load->view('admin/transaksi_selesai',$data);
		$this->load->view('admin/footer');
		}
	}

	public function lihat_keranjang(){
		 $data['customer'] = $this->m_data->edit_data(array('id' =>$this->session->userdata('id_agt')),'customer')->result();
		 $where = $this->session->userdata('id_agt');
		 $data['peminjaman']=$this->db->query("select*from peminjaman t,mobil b,customer a where b.id=t.id and a.id=t.id and a.id=$where")->result();
		 $d=$this->m_data->edit_data(array('id' => $this->session->userdata('id_agt')),'peminjaman')->num_rows();
		 if($d>0){
		 $this->load->view('customer/desain');
		 $this->load->view('customer/toplayout',$data);
		 $this->load->view('customer/keranjang', $data);
		 }else{
		 	redirect('member');}
		 }
}